## kde-cli-tools 5.13.5

=== debian/changelog ===
kde-cli-tools (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge with Debian; remaining changes:
    - debian/control: Kubuntu packaging vcs fields.
    - debian/control: Don't use debian group breaks.
    - debian/tests: Kubuntu changes.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:28 +0100

kde-cli-tools (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:30 +0200

kde-cli-tools (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Kubuntu packaging vcs fields.
    - debian/control: Don't use debian group breaks.
    - debian/tests: Kubuntu changes.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 04 Sep 2018 21:21:17 +0100

kde-cli-tools (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:17:53 +0200

kde-cli-tools (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:22 +0100

kde-cli-tools (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New build dep on plasma-workspace-dev
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:23 +0100

kde-cli-tools (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Drop upstream applied patch
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:42:51 +0200

kde-cli-tools (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:36 +0100

kde-cli-tools (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Add new patch: fix-autotests.patch
  * Use https for the copyright format
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:23:53 +0200

kde-cli-tools (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:23:33 +0100

kde-cli-tools (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.4).
  * Update build-deps and deps with the info from cmake
  * Drop erroneous empty lines in the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:40 +0200

kde-cli-tools (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:40 +0100

kde-cli-tools (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:28 +0100

kde-cli-tools (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:30 +0100

kde-cli-tools (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:47 -0300

kde-cli-tools (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:15 +0200

kde-cli-tools (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking
  * update .install
  * new binary, kbroadcastnotification. sounds fun
  * install all locale files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:08 +0200

kde-cli-tools (4:5.8.7-1) unstable; urgency=medium

  * New upstream release (5.8.7)
     + Fix query for available modules
       The old query was bad because two reasons:
        * it didn't use the same query systemsettings uses
        * it didn't use exist so if the first property did not exist the
          second one was not evaluated since the parser bailed out
       Test Plan: Ran kcmshell5 --list, it's better now
       This fixes KDE#378548

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Jun 2017 16:15:10 +0200

kde-cli-tools (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:13 +0100

=== debian/control ===
Source: kde-cli-tools
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               kinit-dev (>= 5.42.0~),
               libkf5activities-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5doctools-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.16.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5su-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libqt5svg5-dev (>= 5.9.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.13.5~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools

Package: kde-cli-tools
Architecture: any
Depends: kde-cli-tools-data (= ${source:Version}),
         kio,
         libkf5su-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Description: tools to use KDE services from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.

Package: kde-cli-tools-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

## kde-cli-tools 5.14.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(KDE-CLI-Tools)
set(PROJECT_VERSION "5.14.5")

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.42.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(FeatureSummary)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(ECMOptionalAddSubdirectory)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
    Svg
    DBus
)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    DocTools
    IconThemes
    Init
    I18n
    KCMUtils
    KIO
    Service
    WindowSystem
    Activities
    OPTIONAL_COMPONENTS
    Su
    QUIET
)
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
find_package(LibKWorkspace ${PROJECT_VERSION} REQUIRED)

# Disables automatic conversions from QString (or char *) to QUrl.
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

find_package(X11)
find_package(XCB COMPONENTS XCB)
if(X11_FOUND AND XCB_XCB_FOUND)
  set(HAVE_X11 1)
  find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
endif()

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(doc)

add_subdirectory(kcmshell)
add_subdirectory(keditfiletype)
add_subdirectory(kmimetypefinder)
add_subdirectory(ktraderclient)
add_subdirectory(kioclient)
add_subdirectory(ksvgtopng)

if(Qt5X11Extras_FOUND)
    add_subdirectory(kstart)
endif()


if(KF5Su_FOUND)
    add_subdirectory(kdesu)
endif()

if(UNIX)
    add_subdirectory(kdeeject)
    add_subdirectory(kbroadcastnotification)
endif()

check_include_files(sys/wait.h HAVE_SYS_WAIT_H)

check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
  set(CAN_DISABLE_PTRACE TRUE)
endif()
add_feature_info("prctl-dumpable"
                 CAN_DISABLE_PTRACE
                "Required for disallowing ptrace on kdesu process")

configure_file (config-kde-cli-tools.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kde-cli-tools.h )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== ktraderclient/CMakeLists.txt ===
add_executable(ktraderclient5 ktraderclient.cpp)
target_compile_definitions(ktraderclient5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
ecm_mark_nongui_executable(ktraderclient5)

target_link_libraries(ktraderclient5
   KF5::Service    # KService, traders...
   KF5::CoreAddons # KAboutData
   KF5::I18n       # i18n
   Qt5::Core
)

install(TARGETS ktraderclient5 ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kde-cli-tools (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:43 -0300

kde-cli-tools (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:53 -0300

=== debian/control ===
--- 
+++ 
@@ -18,16 +18,16 @@
                libkf5service-dev (>= 5.42.0~),
                libkf5su-dev (>= 5.42.0~),
                libkf5windowsystem-dev (>= 5.42.0~),
-               libqt5svg5-dev (>= 5.9.0~),
-               libqt5x11extras5-dev (>= 5.9.0~),
+               libqt5svg5-dev (>= 5.11.0~),
+               libqt5x11extras5-dev (>= 5.11.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.13.5~),
-               qtbase5-dev (>= 5.9.0~),
+               plasma-workspace-dev (>= 4:5.14.5~),
+               qtbase5-dev (>= 5.11.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools.git
 
 Package: kde-cli-tools
 Architecture: any
@@ -42,6 +42,9 @@
  applications from the command line.
  .
  This package is part of the KDE Plasma.
+Breaks: kscreen (<< 4:5.14),
+        plasma-desktop (<< 4:5.14),
+        plasma-workspace (<< 4:5.14),
 
 Package: kde-cli-tools-data
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:4.14.0-2
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='kde-cli-tools-dbg (<= 4:5.5.5-1~~)'

override_dh_auto_test:
	# Ignore unit tests at build time
	:

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

=== debian/tests/control ===
# Use vim as an application/rtf mime handler
Tests: testsuite
Depends: @, @builddeps@, xvfb, xauth, dbus (>= 1.8),
         openbox, libkf5service-bin, kinit, kded5, libgl1-mesa-dri,
         vim
Restrictions: build-needed, allow-stderr

# Tests: acc
# Depends: @, dh-acc, exuberant-ctags
# Restrictions: allow-stderr

## kde-cli-tools 5.15.4

=== debian/changelog ===
kde-cli-tools (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:08:54 +0100

kde-cli-tools (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:22 +0000

kde-cli-tools (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:12:59 +0000

kde-cli-tools (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:32:52 +0000

kde-cli-tools (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New build dep on libkf5declarative-dev, required for upstream
    change "Load Plasma QtQuick settings in KCMShell".
  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:26 +0000

kde-cli-tools (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:23:43 +0000

kde-cli-tools (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:47:42 +0000

kde-cli-tools (4:5.14.4-0ubuntu1) disco; urgency=medium

  * debian/patches: Update shared_mime_cant_be_removed.patch
  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:14:46 +0000

=== debian/control ===
Source: kde-cli-tools
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               kinit-dev (>= 5.54.0~),
               libkf5activities-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5kcmutils-dev (>= 5.54.0~),
               libkf5kdelibs4support-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5su-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libqt5svg5-dev (>= 5.9.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.15.4~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-cli-tools

Package: kde-cli-tools
Architecture: any
Depends: kde-cli-tools-data (= ${source:Version}),
         kio,
         libkf5su-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Description: tools to use KDE services from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.

Package: kde-cli-tools-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Tests: testsuite
 Depends: @, @builddeps@, xvfb, xauth, dbus (>= 1.8),
          openbox, libkf5service-bin, kinit, kded5, libgl1-mesa-dri,
-         vim
+         shared-mime-info, vim
 Restrictions: build-needed, allow-stderr
 
 # Tests: acc

## kde-cli-tools 5.16.5

=== debian/changelog ===
kde-cli-tools (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:33 +0100

kde-cli-tools (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:22 +0100

kde-cli-tools (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:41 +0100

kde-cli-tools (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:35 +0100

kde-cli-tools (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:23:05 +0100

kde-cli-tools (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:21 +0100

kde-cli-tools (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:27 +0100

kde-cli-tools (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               kinit-dev (>= 5.54.0~),
-               libkf5activities-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5declarative-dev (>= 5.54.0~),
-               libkf5doctools-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5iconthemes-dev (>= 5.54.0~),
-               libkf5kcmutils-dev (>= 5.54.0~),
-               libkf5kdelibs4support-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
-               libkf5su-dev (>= 5.54.0~),
-               libkf5windowsystem-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               kinit-dev (>= 5.58.0~),
+               libkf5activities-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5declarative-dev (>= 5.58.0~),
+               libkf5doctools-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5iconthemes-dev (>= 5.58.0~),
+               libkf5kcmutils-dev (>= 5.58.0~),
+               libkf5kdelibs4support-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5service-dev (>= 5.58.0~),
+               libkf5su-dev (>= 5.58.0~),
+               libkf5windowsystem-dev (>= 5.58.0~),
                libqt5svg5-dev (>= 5.9.0~),
                libqt5x11extras5-dev (>= 5.9.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.15.4~),
+               plasma-workspace-dev (>= 4:5.16.5~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools

## kde-cli-tools 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(KDE-CLI-Tools)
-set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION "5.18.4")
 
-set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.42.0")
+set(QT_MIN_VERSION "5.12.0")
+set(KF5_MIN_VERSION "5.66.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMMarkAsTest)
 include(ECMMarkNonGuiExecutable)
 include(FeatureSummary)
@@ -19,6 +19,7 @@
 include(CheckIncludeFiles)
 include(CheckSymbolExists)
 include(ECMOptionalAddSubdirectory)
+include(KDEClangFormat)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Widgets
@@ -47,17 +48,18 @@
     Service
     WindowSystem
     Activities
+    Declarative
     OPTIONAL_COMPONENTS
     Su
     QUIET
 )
-add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 find_package(LibKWorkspace ${PROJECT_VERSION} REQUIRED)
 
 # Disables automatic conversions from QString (or char *) to QUrl.
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
+endif()
 
 find_package(X11)
 find_package(XCB COMPONENTS XCB)
@@ -106,6 +108,10 @@
 
 configure_file (config-kde-cli-tools.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kde-cli-tools.h )
 
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)

=== kcmshell/CMakeLists.txt ===

set(kcmshell_KDEINIT_SRCS main.cpp )

kf5_add_kdeinit_executable( kcmshell5 ${kcmshell_KDEINIT_SRCS})
target_compile_definitions(kdeinit_kcmshell5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
ecm_mark_nongui_executable(kcmshell5)

target_link_libraries(kdeinit_kcmshell5
   Qt5::DBus
   KF5::KCMUtils
   KF5::I18n
   KF5::WindowSystem
   KF5::Activities
   KF5::QuickAddons
   PW::KWorkspace
)

install(TARGETS kdeinit_kcmshell5  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS kcmshell5          ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kde-cli-tools (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:45:46 +0100

kde-cli-tools (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:10 +0000

kde-cli-tools (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:22 +0000

kde-cli-tools (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:12 +0000

kde-cli-tools (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:33 +0000

kde-cli-tools (4:5.17.90-0ubuntu1) focal; urgency=medium

  * Update install files.
  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:07:25 +0000

kde-cli-tools (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:01 +0000

kde-cli-tools (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:18 +0000

kde-cli-tools (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:09 +0000

kde-cli-tools (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:22 +0000

kde-cli-tools (4:5.16.5-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages
      + drop patch shared_mime_cant_be_removed.patch, no more needed now

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Oct 2019 17:27:23 +0000

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
-               kinit-dev (>= 5.58.0~),
-               libkf5activities-dev (>= 5.58.0~),
-               libkf5config-dev (>= 5.58.0~),
-               libkf5declarative-dev (>= 5.58.0~),
-               libkf5doctools-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5iconthemes-dev (>= 5.58.0~),
-               libkf5kcmutils-dev (>= 5.58.0~),
-               libkf5kdelibs4support-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5service-dev (>= 5.58.0~),
-               libkf5su-dev (>= 5.58.0~),
-               libkf5windowsystem-dev (>= 5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
+               kinit-dev (>= 5.66.0~),
+               libkf5activities-dev (>= 5.66.0~),
+               libkf5config-dev (>= 5.66.0~),
+               libkf5declarative-dev (>= 5.66.0~),
+               libkf5doctools-dev (>= 5.66.0~),
+               libkf5i18n-dev (>= 5.66.0~),
+               libkf5iconthemes-dev (>= 5.66.0~),
+               libkf5kcmutils-dev (>= 5.66.0~),
+               libkf5kdelibs4support-dev (>= 5.66.0~),
+               libkf5kio-dev (>= 5.66.0~),
+               libkf5service-dev (>= 5.66.0~),
+               libkf5su-dev (>= 5.66.0~),
+               libkf5windowsystem-dev (>= 5.66.0~),
                libqt5svg5-dev (>= 5.9.0~),
                libqt5x11extras5-dev (>= 5.9.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.16.5~),
+               plasma-workspace-dev (>= 4:5.18.4.1~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
 
+override_dh_auto_configure:
+	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
+
 override_dh_strip:
 	dh_strip --dbgsym-migration='kde-cli-tools-dbg (<= 4:5.5.5-1~~)'

## kde-cli-tools 5.19.5

=== debian/changelog ===
kde-cli-tools (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:53:01 +0100

kde-cli-tools (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:41:18 +0100

kde-cli-tools (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:58:13 +0100

kde-cli-tools (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * Update install files.
  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:44:47 +0100

kde-cli-tools (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:39:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               kinit-dev (>= 5.66.0~),
-               libkf5activities-dev (>= 5.66.0~),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5doctools-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5iconthemes-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5kdelibs4support-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5service-dev (>= 5.66.0~),
-               libkf5su-dev (>= 5.66.0~),
-               libkf5windowsystem-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               kinit-dev (>= 5.70.0~),
+               libkf5activities-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5doctools-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5iconthemes-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5kdelibs4support-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5service-dev (>= 5.70.0~),
+               libkf5su-dev (>= 5.70.0~),
+               libkf5windowsystem-dev (>= 5.70.0~),
                libqt5svg5-dev (>= 5.9.0~),
                libqt5x11extras5-dev (>= 5.9.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.4.1~),
+               plasma-workspace-dev (>= 4:5.19.5~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/kde-cli-tools

## kde-cli-tools 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(KDE-CLI-Tools)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.20.5")
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -41,7 +41,6 @@
     Config
     DocTools
     IconThemes
-    Init
     I18n
     KCMUtils
     KIO
@@ -57,9 +56,6 @@
 
 # Disables automatic conversions from QString (or char *) to QUrl.
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
 
 find_package(X11)
 find_package(XCB COMPONENTS XCB)
@@ -78,6 +74,7 @@
 add_subdirectory(ktraderclient)
 add_subdirectory(kioclient)
 add_subdirectory(ksvgtopng)
+add_subdirectory(kdeinhibit)
 
 if(Qt5X11Extras_FOUND)
     add_subdirectory(kstart)

=== kbroadcastnotification/CMakeLists.txt ===
add_executable(kbroadcastnotification main.cpp)
target_compile_definitions(kbroadcastnotification PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kbroadcastnotification Qt5::DBus KF5::CoreAddons KF5::I18n)

install(TARGETS kbroadcastnotification ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== kdeinhibit/CMakeLists.txt ===
add_executable(kde-inhibit main.cpp)
target_link_libraries(kde-inhibit Qt5::Core Qt5::DBus KF5::I18n KF5::CoreAddons)
install(TARGETS kde-inhibit ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== keditfiletype/tests/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

########### filetypestest ###############

add_executable(filetypestest
 filetypestest.cpp
 ../mimetypedata.cpp
 ../mimetypewriter.cpp
)
ecm_mark_as_test(filetypestest)
add_test(NAME filetypestest COMMAND filetypestest)
target_link_libraries(filetypestest
   KF5::KIOCore
   Qt5::Core
   Qt5::Gui
   Qt5::Test
)

=== debian/changelog ===
kde-cli-tools (4:5.20.5-2) unstable; urgency=medium

  * Team upload.
  * Bump the plasma-workspace-dev build dependency to 5.20.5.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update renamed lintian tag names in lintian overrides.
  * Remove listed license files (COPYING) from copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 10:08:59 +0100

kde-cli-tools (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:50 +0900

kde-cli-tools (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

kde-cli-tools (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Install kde-inhibit executable.
  * Rename lintian override according to new tag name.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:31 +0900

kde-cli-tools (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:21 +0900

kde-cli-tools (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:39 +0900

kde-cli-tools (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.
  * Bump B-D on plasma-workspace-dev.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 17:12:00 +0900

kde-cli-tools (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Remove Max from Uploaders as requested on IRC, add Scarlett.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Update list of installed files.
  * Bump compat level to 13.
  * Enable team builder to be able to build on salsa.
  * Add Rules-Requires-Root field to control.
  * Remove not needed injection of linker flags.
  * Enable build hardening.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set field Upstream-Contact in debian/copyright.
  * Cleanup lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Sat, 17 Oct 2020 00:25:59 +0900

kde-cli-tools (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 23:00:49 +0100

kde-cli-tools (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - explicitly add libxcb1-dev
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Enable all the variations for reprotest in the salsa CI.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Stop using the non-existing ${shlibs:Depends} substvar in
    kde-cli-tools-data.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 09:20:12 +0100

kde-cli-tools (4:5.14.5-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco

  [ Pino Toscano ]
  * Bump Standards-Version to 4.4.1, no changes required.
  * Remove the unused libkf5kdelibs4support-dev build dependency.
  * Explicitly add the gettext build dependency.
  * Drop the migration from kde-cli-tools-dbg, no more needed after two Debian
    stable releases.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages
    - drop patch shared_mime_cant_be_removed.patch, no more needed now
  * Drop the commented out/unused 'acc' autopkgtest.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 14 Oct 2019 23:05:54 +0200

=== debian/control ===
Source: kde-cli-tools
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74~),
               gettext,
               kinit-dev (>= 5.66.0~),
               libkf5activities-dev (>= 5.74~),
               libkf5config-dev (>= 5.74~),
               libkf5declarative-dev (>= 5.74~),
               libkf5doctools-dev (>= 5.74~),
               libkf5i18n-dev (>= 5.74~),
               libkf5iconthemes-dev (>= 5.74~),
               libkf5kcmutils-dev (>= 5.74~),
               libkf5kio-dev (>= 5.74~),
               libkf5service-dev (>= 5.74~),
               libkf5su-dev (>= 5.74~),
               libkf5windowsystem-dev (>= 5.74~),
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.20.5~),
               qtbase5-dev (>= 5.15.0~)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/kde-cli-tools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools.git
Rules-Requires-Root: no

Package: kde-cli-tools
Architecture: any
Depends: kde-cli-tools-data (= ${source:Version}),
         kio,
         libkf5su-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tools to use KDE services from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
Breaks: kscreen (<< 4:5.14),
        plasma-desktop (<< 4:5.14),
        plasma-workspace (<< 4:5.14)

Package: kde-cli-tools-data
Architecture: all
Depends: ${misc:Depends}
Description: tools to use kioslaves from the command line
 These command line tools enable you to use KDE services such as
 kioslaves, kdesu, QtSVG, kcontrol modules, KDE trader and start
 applications from the command line.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

## kde-cli-tools 5.21.4

=== debian/changelog ===
kde-cli-tools (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:08:48 +0100

kde-cli-tools (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:32:42 +0000

kde-cli-tools (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:11:45 +0000

kde-cli-tools (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:18 +0000

kde-cli-tools (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:21:00 +0000

kde-cli-tools (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:44:00 +0000

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.20.5~),
-               qtbase5-dev (>= 5.15.0~)
+               plasma-workspace-dev (>= 4:5.21.4~),
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/kde-cli-tools
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-cli-tools

## kde-cli-tools 5.22.5

=== debian/changelog ===
kde-cli-tools (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:45:50 +0200

kde-cli-tools (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:42:07 +0100

kde-cli-tools (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:05:30 +0100

kde-cli-tools (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:51:17 +0100

kde-cli-tools (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:57:10 +0100

kde-cli-tools (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:09:04 +0100

kde-cli-tools (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:52:43 +0100

kde-cli-tools (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:01:39 +0100

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,26 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               kinit-dev (>= 5.66.0~),
-               libkf5activities-dev (>= 5.74~),
-               libkf5config-dev (>= 5.74~),
-               libkf5declarative-dev (>= 5.74~),
-               libkf5doctools-dev (>= 5.74~),
-               libkf5i18n-dev (>= 5.74~),
-               libkf5iconthemes-dev (>= 5.74~),
-               libkf5kcmutils-dev (>= 5.74~),
-               libkf5kio-dev (>= 5.74~),
-               libkf5service-dev (>= 5.74~),
-               libkf5su-dev (>= 5.74~),
-               libkf5windowsystem-dev (>= 5.74~),
+               kinit-dev (>= 5.82.0~),
+               libkf5activities-dev (>= 5.82.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5doctools-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5iconthemes-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5service-dev (>= 5.82.0~),
+               libkf5su-dev (>= 5.82.0~),
+               libkf5windowsystem-dev (>= 5.82.0~),
                libqt5svg5-dev (>= 5.15.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
                libxcb1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.21.4~),
+               plasma-workspace-dev (>= 4:5.22.5~),
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/kde-cli-tools
